Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class LoadDomainHandler.IncludeDomainAction

    java.lang.Object
      ix.ip2.HandlerAction
          ix.ip2.LoadDomainHandler.AbstractLoadDomainAction
              ix.ip2.LoadDomainHandler.IncludeDomainAction

Enclosing class:
  LoadDomainHandler

     class LoadDomainHandler.IncludeDomainAction

extends LoadDomainHandler.AbstractLoadDomainAction

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.HandlerAction
`HandlerAction.Automatic, HandlerAction.AutomaticWhenBound, HandlerAction.Manual, HandlerAction.NoAction, HandlerAction.NotApplicable`

Field Summary

Fields inherited from class ix.ip2.LoadDomainHandler.AbstractLoadDomainAction
`item`

Fields inherited from class ix.ip2.HandlerAction
`shortDescription`

Constructor Summary
`LoadDomainHandler.IncludeDomainAction(AgendaItem item)`

Method Summary
`void` | `handle(AgendaItem item)` Handle the item in the manner appropriate to this handler-action.

Methods inherited from class ix.ip2.LoadDomainHandler.AbstractLoadDomainAction
`askIfSafe, existsDomainEditor, getDomain, getUnreadyReason, isReady, readDomain`

Methods inherited from class ix.ip2.HandlerAction
`canAlwaysBeTakenNow, computeStatus, getActionDescription, isStillValid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LoadDomainHandler.IncludeDomainAction

    LoadDomainHandler.IncludeDomainAction(AgendaItem item)

Method Detail

### handle

    public void handle(AgendaItem item)

  Description copied from class: `HandlerAction`
  Handle the item in the manner appropriate to this handler-action. The method in the HandlerAction class merely changes the item's status to COMPLETE and is overridden in subclasses that handle the item in more interesting ways.

  Overrides:
    `handle` in class `HandlerAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD